
@import url('https://fonts.googleapis.com/css?family=Noto+Sans+KR');
body {
  font-size: 13px;
  background-color: #f3f3f3;
  overflow-x: hidden;

}
td {
  background-color:white;
  text-align:center;
}

th {
  text-align:center;
  background-color:#e2eaf2;
}

.select2-container {
  text-align: left !important
}
.select2-results__option {
  text-align: left !important
}


.mainPop .modal-dialog{
    overflow-y: initial !important;

}
.mainPop .modal-body{
    height: 80vh;

    overflow-y: auto;
}


table#snilist.table-hover tbody tr:nth-child(even):hover td{
    background-color: #eee !important;
}

table#snilist.table-hover tbody tr:nth-child(odd):hover td {
    background-color: #eee !important;
}

#sniMainTop {
  top:0;
  height:45px;
  position:fixed;
  padding-right: 15px;
  color:white;
  background-color: #5c5b73;
  width:100%;
  z-index: 3;
}

#sniMainTop .bg-dark {
  background-color: #5c5b73 !important;
}

#sniMainTop .navbar-dark {
  background-color: #5c5b73 !important;
}

#sniMain {
 padding-top:45px;
 transition: all 0.3s;
 position: absolute;
 top: 0;
 right: 0;
 width: 100%;
}

/* ---------------------------------------------------
    SIDEBAR STYLE
----------------------------------------------------- */

#sidebar {
    width: 250px;
    position: fixed;
    top: 0;
    left: -250px;
    height: 100vh;
    z-index: 999;
    background-color: #7386D5;
    color: #fff;
    transition: all 0.3s;
    overflow-y: scroll;
    box-shadow: 3px 3px 3px rgba(0, 0, 0, 0.2);
    font-size: 1.2em !important;
}

#sidebar.active {
    left: 0;
}

#dismiss {
    width: 35px;
    height: 35px;
    line-height: 35px;
    text-align: center;
    background: #7386D5;
    position: absolute;
    top: 10px;
    right: 10px;
    cursor: pointer;
    -webkit-transition: all 0.3s;
    -o-transition: all 0.3s;
    transition: all 0.3s;
}

#dismiss:hover {
    background: #fff;
    color: #7386D5;
}

.overlay {
    display: none;
    position: fixed;
    width: 100vw;
    height: 100vh;
    background: rgba(0, 0, 0, 0.7);
    z-index: 998;
    opacity: 0;
    transition: all 0.5s ease-in-out;
}
.overlay.active {
    display: block;
    opacity: 1;
}

#snilist_processing  {
  background-color:#fff !important;
  color:#5c5b73 !important;
  z-index:9999 !important;
}

.overlay2 {
  display: none;
  position: fixed;
  width: 100vw;
  height: 100vh;
  background: rgba(0, 0, 0, 0.7);
  z-index: 998;
  opacity: 0;
  transition: all 0.5s ease-in-out;
}
.overlay2.active {
  display: block;
  opacity: 1;
}

.modal-backdrop {
    z-index: 880 !important;
}
.modal-dialog {
    z-index: 800 !important;
}

#sidebar .sidebar-header {
    padding: 20px;
    background: #6d7fcc;
}

#sidebar ul.components {
    margin-top: 25px;
    padding: 20px 0;
    border-bottom: 1px solid #47748b;
}

#sidebar ul p {
    color: #fff;
    padding: 10px;
}

#sidebar ul li a {
    padding: 10px;
    color: rgba(255,255,255,0.85);
    font-size: 1.0em;
    display: block;
}

#sidebar ul li a:hover {
    color: #7386D5;
    background: #fff;
    text-decoration:none;

}

#sidebar ul li.active>a,
a[aria-expanded="true"] {
    color: #fff;
    background: #6d7fcc;
}

a[data-toggle="collapse"] {
    position: relative;
}

.dropdown-toggle::after {
    display: block;
    position: absolute;
    top: 50%;
    right: 20px;
    transform: translateY(-50%);
}

#sidebar ul ul a {
    font-size: 1.0em !important;
    padding-left: 30px !important;
    background: #6d7fcc;
}

#sidebar ul.CTAs {
    padding: 20px;
}

#sidebar ul.CTAs a {
    text-align: center;
    font-size: 1.0em !important;
    display: block;
    border-radius: 5px;
    margin-bottom: 5px;
}

#sidebar a.download {
    background: #fff;
    color: #7386D5;
}

#sidebar a.article,
#sidebar a.article:hover {
    background: #6d7fcc !important;
    color: #fff !important;
}


.pagemain {
  padding-top:15px;
  padding-left:15px;
  padding-right:15px;
  padding-bottom:0px;
}

.page_body {
 margin-left: 10px;
 margin-top:10px;
 margin-right: 6px;
}
.mnumain {
  font-size: 12px;
  font-weight: 600;
  padding-top:20px;
  padding-bottom: 2px;
  padding-left: 20px;
}
.mnusub {
  font-size: 11px;
  padding-top:2px;
  padding-bottom: 2px;
  padding-left: 30px;
}

.mnuactive {
  font-size: 12px;
  padding-top:10px;
  padding-bottom: 10px;
  padding-right:0px;
  padding-left: 30px;
  color: #ffffff;
  background-color: #da9b49;
  font-weight: 700;
}

.snimnustrip {
  text-align: right;
  font-size:15px;
  padding-top:7px;
}

.snimnustrip a {
  color:rgb(255,255,255);
  margin-right:3px;
  margin-left:3px;
}

.snimnustrip a:hover {
  color:rgba(255,255,255,0.2);
  font-size:17px;
  margin-right:3px;
  margin-left:3px;
}

.snimnustrip2 {
  text-align: right;
  font-size:15px;
}

.snimnustrip2 a {
  color:rgb(255,255,255);
  margin-right:3px;
  margin-left:3px;
}

.snimnustrip2 a:hover {
  color:rgba(255,255,255,0.2);
  font-size:17px;
  margin-right:3px;
  margin-left:3px;
}


#snilist th {
  background-color:rgba(52, 124, 164, 0.12)
}

.snipagelabel-0 {
  display: block;
  min-width:70px;
  text-align: center;
  background-color: #e2eaf2;
  padding-left: 0;
  padding-right: 0;
}

.snipagelabel-1 {
  display: block;
  min-width:75px;
  text-align: center;
  background-color: #e7edcb;
}
.kakaobg {
  background-color: #ffde00!important;
  font-size:15px;
  padding:3px 7px 0px 8px;
}

.snidisable {
  background-color: white!important;
}

.sniinput {
  padding-bottom:9px;
}

.tab-content {
  height:265px;
  background-color: #fff;
  padding:20px;
  border-left:1px solid #dedede;
  border-right:1px solid #dedede;
  border-bottom:1px solid #dedede;
}
.snirowtitle {
  display: block;
  background-color: #e7edcb;
  text-align: center;
  padding-top:5px;
  padding-bottom:5px;
  border:1px solid #ddd;
}
.money {
  text-align: right;
}

.datepicker-centuries table tr th,
.datepicker-decades table tr th,
.datepicker-years table tr th,
.datepicker-months table tr th,
.datepicker-days table tr th {
 border-radius: 0 !important;
}

table .century,
table .decade,
table .year,
table .month,
table .day {
  border-radius: 0 !important;
}

.breadcrumb {
  line-height: 25px !important;
}
#snilist_length {
  /*border:1px solid red;*/
  margin: 0;
  padding-top: 0;
  height:25px !important;
}
#snilist_length .select2-selection__rendered {
    line-height: 25px !important;
}

#snilist_length .select2-container .select2-selection--single {
    height: 25px !important;
}

.table-container {
    height: 200px;
}
.table-container table {
    display: flex;
    flex-flow: column;
    height: 100%;
    width: 100%;
}
.table-container table thead {
    /* head takes the height it requires,
    and it's not scaled when table is resized */
    flex: 0 0 auto;
    width: calc(100% - 1.4em);
    background-color:#e2eaf2;
}
.table-container table tbody {
    /* body takes all the remaining available space */
    flex: 1 1 auto;
    display: block;
    overflow-y: scroll;
}
.table-container table tbody tr {
    width: 100%;
}
.table-container table thead,
.table-container table tbody tr {
    display: table;
    table-layout: fixed;
}
/* decorations */
.table-container {
    padding: 0.3em;
}
.table-container table {

}
.table-container table td, table th {
    padding: 0.3em;

}
.table-container table th {
}

.sniselect {
  padding:0;
  border:0;
  background-color: rgba(0,0,0,0)
}

/* Chrome Only */
@media all and (-webkit-min-device-pixel-ratio:0) and (min-resolution: .001dpcm)
{
  .sniselect {
    padding:0;
    border:0;
    background-color: rgba(0,0,0,0)
  }
  .sni_page_select-1, .sni_page_select-2, .sni_page_select-3, .sni_page_select-2-modal {
    width:86%;
    min-width: 80px;
  }
}
